Subject: RE: Way forward - updating RFC 3161

From: "Liaquat Khan" <[email-masked]>
Date: Wed, 1 Jul 2009 10:42:00 +0400

Yes, me too.

Regards,
LK

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Adriano Santoni
Sent: 01 July 2009 10:00
To: Stefan Santesson
Cc: [email-masked]; Denis Pinkas; Pope, Nick
Subject: Re: Way forward - updating RFC 3161

I fully agree with Stefan.

Adriano

Stefan Santesson ha scritto:
> We need to resolve how to update RFC 3161 with respect to allowing 
> support of RFC 5035 (ESSV2)
> One particular reason is because ETSI ESI is dependent on progression 
> of this issue in PKIX.
>
> I would like to open this issue up for debate and then hopefully 
> conclude this issue, possibly after a straw poll.
>
> My personal opinion, and what I interpret as the general opinion of 
> this working group is that we should reject 
> draft-ietf-pkix-rfc3161bis-01 as basis for updating rfc 3161. This 
> draft intends to obsolete RFC 3161 and introduces major changes to 
> terminology and role description to align RFC 3161 with the 
> informational document RFC 3628.
>
> It is problematic to introduce such major changes to a standard that 
> is widely deployed. It is neither required from a protocol 
> implementation perspective as these changes are not intended to change 
> any bits on the wire. The optional usage of ESSV2 does not motivate a 
> total rewrite of the current standard, but is better handled in an 
> update RFC.
>
> If description of roles and responsibilities that so not change any 
> bits on the wire need to be clarified in relation to RFC 3628 and RFC 
> 3161, then this should be handled either as an update to RFC 3628 or 
> as a separate informational document.
>
> /Stefan

---

From: Peter Sylvester <[email-masked]>
Date: Wed, 01 Jul 2009 11:53:05 +0200

Treating Stefan's request as a straw poll: I agree to reject the draft.
No comment about what should be done as updates to other texts.